use crate::app::{AppConfig, AppPreferences};

#[derive(Clone)]
pub struct AppState {
    pub config: AppConfig,
    pub preferences: AppPreferences,
    // authentication
    // ...
}

impl AppState {
    pub fn new() -> Self {
        AppState {
            config: AppConfig::new(),
            preferences: AppPreferences {},
        }
    }
}
